Dpkg error processing tex-common configure

dpkg error processing tex-common configure

Report forwarded to [email protected], Debian TeX Task a bug. dpkg: error processing package tex-common (--configure). la generazione di texmf.cnf” durante l'installazione di tex-common in this directory dpkg: error processing package tex-common (--configure). No packages found matching texlive-base. dpkg: error processing tex-common (--configure): subprocess installed post-installation script.

Are: Dpkg error processing tex-common configure

NP 7161 ERROR 1D
SQUID_LDAP_AUTH WARNING, LDAP SEARCH ERROR OPERATIONS ERROR
Sql error 2665
SSL_ACCEPT ERROR FROM MAC
Dpkg error processing tex-common configure
Mute Ant wrote:"when I try to reinstall texlive" Exactly what command did you use to provoke those errors? Typically a console install would go.

Code: Select all

Well, I used automation error - 2147024770 automation error graphical interface, selecting the texlive package, and clicking the button "Apply". But I doubt that this is the answer you really wanted.

"Isn't it the job of the package manager to know such things?" Yes. Share the output of the following command.it lists the repositories your system is using.
This is the output you requested:

Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/maya main upstream import backport
deb http://archive.ubuntu.com/ubuntu/precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/precise-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/precise partner
Active apt sources in file: /etc/apt/sources.list.d/steam.list
deb [arch=amd64,i386] http://repo.steampowered.com/steam/precise steam
deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/precise steam

However a weird thing happened: the named unexpected error of all of these repositories were invisible on my terminal, they became visible only when I copy-pasted them into a file.

Another thing that puzzles me is the appearance of packages as "latex-cjk-common", since I have not been interested in oriental languages and most certainly never requested the installation of such a package. Among the languages (installed by myself) that appear in my login window also Chinese is offered (which I did NOT install). Is that a default option?
Hello everyone,

apt-get terror - eagle zip-up hoodie not working anymore. I'll try to explain first what the situation is and then describe, dpkg error processing tex-common configure, what events lead there.

Situation is: I want to install something, e.g. emacs.
This is what happens:

Code: Select all

Ok this is looong. From the last line I get emacs was not installed properly.
In between there are a lot of errors related with debian's texlive packages.

This leads me to how I got in this situation.

I have texlive vanilla installed.
For some reason (e.g. I don't want to reinstall the complete texlive every year!?), I want to use debian's texlive.

What I did: (after a few packages have been error 017 undefined symbol enginecar (cancel this, since I wanted to to an apt-get update first. Probably should not have done this (did this cause all this trouble?) Was out of reflex. So : )

Code: Select all

The installation ends with something similar to the error above and I didn't really know, dpkg error processing tex-common configure, why that happened. I thought probably because vanilla texlive was still installed.
I tried to

Code: Select all

And here I am.

Why did this happen?
How can I get back to be able to install software.
How can I install texlive.

I hope someone knows what to do :?

Thanks so much in advance!

Last edited by obry on 2014-08-24 18:36, edited 2 times in total.

Bug#886452: Subject: tex-common: installed tex-common package post-installation script subprocess returned error exit status 1

Manfred Ilg's profile photo

Manfred Ilg

unread,
Jan 6, 2018, dpkg error processing tex-common configure, 12:00:02 PM1/6/18

Reply to author

Sign in to reply to author

Forward

Sign in to forward

Delete

You do not have permission to delete messages in this group

Link

Report message as abuse

Sign in to report message as abuse

Show original message

Either email addresses are anonymous for this group or you need the view member email addresses permission to view the original message

to

Package: tex-common
Version: 6.09
Severity: important


Dear Maintainer,

when I try to uprade tex-commen I get the following error:

tex-common (6.09) wird eingerichtet .
Running mktexlsr. This may take some time. done.
Running mtxrun --generate. This may take some time. done.
Running updmap-sys. This may take some time.
updmap-sys failed, dpkg error processing tex-common configure. Output has been stored in
/tmp/updmap.nZEeXO4z
Please include this file if you report a bug.

Sometimes, not dpkg error processing tex-common configure conffile updates in slmodem error 2 updmap-sys to fail.  Please check for files with extension
.dpkg-dist or .ucf-dist in this directory

dpkg: Fehler beim Bearbeiten des Paketes tex-common (--configure):

Fehler traten auf beim Bearbeiten von:
 tex-common
E: Sub-process /usr/bin/dpkg returned an error code (1)

cat /tmp/updmap.nZEeXO4z
updmap will read the following updmap.cfg files (in precedence order):
  /etc/texmf/web2c/updmap.cfg
  /usr/share/texmf/web2c/updmap.cfg
  /usr/share/texlive/texmf-dist/web2c/updmap.cfg
updmap may write changes to the following updmap.cfg file:
 /etc/texmf/web2c/updmap.cfg
dvips output dir: "/var/lib/texmf/fonts/map/dvips/updmap"
pdftex output dir: "/var/lib/texmf/fonts/map/pdftex/updmap"
dvipdfmx output dir: "/var/lib/texmf/fonts/map/dvipdfmx/updmap"
updmap [ERROR]: The following map file(s) couldn't be found:
updmap [ERROR]:         emerald.map (in /etc/texmf/web2c/updmap.cfg)
updmap [ERROR]: Did you run mktexlsr?

        You can disable non-existent map entries using the option
          --syncwithtrees.

      Greeting

      Manfred Ilg


-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.14.11-towo.3-siduction-amd64 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8),
LANGUAGE=de:en_US (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages tex-common depends on:
ii  dpkg  1.19.0.4
ii  ucf   3.0036

tex-common recommends no packages.

Versions of packages tex-common suggests:
ii  debhelper  11

Versions of packages texlive-base depends on:
ii  debconf [debconf-2.0]  1.5.65
ii  libpaper-utils         1.1.24+nmu5
ii  texlive-binaries       2017.20170613.44572-8
ii  ucf                    3.0036
ii  xdg-utils              1.1.2-2~siduction1

Versions of packages texlive-base recommends:
ii  lmodern  2.004.5-3

Versions of packages texlive-base suggests:
ii  ghostscript [postscript-viewer]  9.22~dfsg-1
ii  okular [postscript-viewer]       4:17.08.3-2
pn  perl-tk                          <none>
pn  xpdf-reader

Thread: installing tex-common

Code:

sudo apt install -f Reading package lists. Done Building dependency tree Reading state information. Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded, dpkg error processing tex-common configure. 19 not fully installed or removed, dpkg error processing tex-common configure. After this operation, 0 B of additional disk space will be used. Setting up tex-common (6.04) . Running mktexlsr. This may take some time. done. Running updmap-sys. This may take some time. updmap-sys failed, dpkg error processing tex-common configure. Output has been stored in /tmp/updmap.PTxy13OE Please include this file if you report a bug. Sometimes, not accepting conffile updates in /etc/texmf/updmap.d causes updmap-sys to fail. Please check for files with extension .dpkg-dist or .ucf-dist in this directory dpkg: error processing package tex-common (--configure): subprocess installed post-installation script returned error exit status 1 No apport report written because the error message indicates its a followup error from a previous failure. dpkg: dependency problems prevent configuration of texlive-latex-base: texlive-latex-base depends on tex-common (>= 6); however: Package tex-common is not configured yet, dpkg error processing tex-common configure. dpkg: error processing package texlive-latex-base (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of tipa: tipa depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. tipa depends on tex-common (>= 3); however: Package tex-common is not configured yet. dpkg: error processing package tipa (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-latex-recommended: texlive-latex-recommended depends on tex-common (>= 6); however: Package tex-common is not configured yet. texlive-latex-recommended depends on texlive-latex-base (>= 2015); however: Package texlive-latex-base is not configured yet. dpkg: error processing package texlive-latex-recommended (--coNo apport report written because the error message indicates its a followup error from a previous failure. No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already microsoft sql server error 1418 No apport report written because MaxReports is reached already nfigure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-pictures: texlive-pictures depends on tex-common (>= 6); however: Package tex-common is not configured yet. texlive-pictures depends on texlive-latex-recommended (>= 2015); however: Package texlive-latex-recommended is not configured yet. dpkg: error processing package texlive-pictures (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-latex-extra: texlive-latex-extra depends on tex-common (>= 6); however: Package tex-common is not configured yet. texlive-latex-extra depends on texlive-latex-recommended (>= 2015); however: Package texlive-latex-recommended is not configured yet. texlive-latex-extra depends on texlive-pictures (>= 2015); however: Package texlive-pictures is not configured yet. dpkg: error processing package texlive-latex-extra (--configure): dependency problems - leaving unconfiguNo apport report written because MaxReports is reached already No apport report written because MaxReports is reached already red dpkg: dependency problems prevent configuration of texlive-xetex: texlive-xetex depends on tipa (>= 2:1.2-2.1); however: Package tipa is not configured yet, dpkg error processing tex-common configure. texlive-xetex depends on tex-common (>= 6); however: Package tex-common is not configured yet. texlive-xetex depends on texlive-latex-base (>= 2015); however: Package texlive-latex-base is not configured yet. texlive-xetex depends on texlive-latex-extra (>= 2015); however: Package texlive-latex-extra is not configured yet. dpkg: error processing package texlive-xetex (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-generic-recommended: texlive-generic-recommended depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-generic-recommended (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-pstricks: texlive-pstricks depends on texlive-pictures (>= 2015); however: Package texlive-pictures is not configured yet. texlive-pstricks depends on texlive-generic-recommended (>= 2015); however: Package texlive-generic-recommended is not configured yet. texlive-pstricks depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-pstricks (--configure): dpkg error processing tex-common configure dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of prosper: prosper depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. prosper depends on texlive-pstricks; however: Package texlive-pstricks is not configured yet, dpkg error processing tex-common configure. prosper depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. prosper depends on tex-common (>= 1.10); however: Package tex-common is not configured yet. dpkg: error processing package prosper (--configure): dependency problems - leaving unconfigNo apport report written because MaxReports is reached already ured dpkg: dependency problems prevent configuration of texlive-extra-utils: texlive-extra-utils depends on texlive-latex-base (>= 2015); however: Package texlive-latex-base is not configured yet. texlive-extra-utils depends on tex-common (>= 6); however: Package tex-common is not configured yet, dpkg error processing tex-common configure. dpkg: error processing package texlive-extra-utils (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-font-utils: texlive-font-utils depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-font-utils (--configure): dependency bit error rate ber for fsk modulation - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-fonts-recommended: texlive-fonts-recommended depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-fonts-recommended (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg error processing tex-common configure dpkg: dependency problems prevent configuration of texlive-fonts-recommended-doc: texlive-fonts-recommended-doc depends on tex-common (>= 6); however: Package tex-common is not configured yet, dpkg error processing tex-common configure. dpkg: error processing package dpkg error processing tex-common configure (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-latex-base-doc: texlive-latex-base-doc depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-latex-base-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-latex-extra-doc: texlive-latex-extra-doc depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-latex-extra-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg error processing tex-common configure dpkg: dependency problems prevent configuration of texlive-latex-recommended-doc: texlive-latex-recommended-doc depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-latex-recommended-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg error processing tex-common configure error code - 2147467259 dpkg: dependency problems prevent configuration of texlive-pictures-doc: texlive-pictures-doc depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-pictures-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-pstricks-doc: texlive-pstricks-doc depends on tex-common (>= 6); however: Package tex-common is not configured yet. dpkg: error processing package texlive-pstricks-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already wcsapi error not found Errors were encountered while processing: tex-common texlive-latex-base tipa texlive-latex-recommended texlive-pictures texlive-latex-extra texlive-xetex texlive-generic-recommended texlive-pstricks prosper texlive-extra-utils texlive-font-utils texlive-fonts-recommended texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-extra-doc texlive-latex-recommended-doc texlive-pictures-doc texlive-pstricks-doc E: Sub-process /usr/bin/dpkg returned an error code (1)
The contents of /tmp/updmap.PTxy13OE:


Code:

updmap [WARNING]: resetting $HOME value (was /home/nick) to root's win32diskimager error 123 home (/root). updmap will read the following updmap.cfg files (in precedence order): /root/.texmf-config/web2c/updmap.cfg /usr/share/texmf/web2c/updmap.cfg /usr/share/texlive/texmf-dist/web2c/updmap.cfg updmap may write changes to the following updmap.cfg file: /etc/texmf/web2c/updmap.cfg dvips output dir: "/var/lib/texmf/fonts/map/dvips/updmap" pdftex output dir: "/var/lib/texmf/fonts/map/pdftex/updmap" dvipdfmx output dir: "/var/lib/texmf/fonts/map/dvipdfmx/updmap" updmap [ERROR]: The following map file(s) couldn't be found: updmap [ERROR]: MinionPro (in /root/.texmf-config/web2c/updmap.cfg) updmap [ERROR]: MnSymbol.Map (in /root/.texmf-config/web2c/updmap.cfg) updmap [ERROR]: MnSymbol.map (in /root/.texmf-config/web2c/updmap.cfg) updmap [ERROR]: Did you run mktexlsr? You can disable non-existent map entries using the option --syncwithtrees.

Thread: dpkg returning error code 1 after upgrade from Kali 1.0 to Kali 2.0

I'm getting the same after rebooting following:

apt-get dist-upgrade

Please be gentle, if anyone can offer a solution, as I am a Kali Linux noob. I am very familiar with all things windows and msdos since Windows 2, dpkg error processing tex-common configure, but this is my first serious foray into Linux. I am running Windows 7 ultimate with Kali Linux installed on Virtual Box 5.0.4 using kali-linux-1.0.9a-i386.iso image, dpkg error processing tex-common configure. I have given KL 20 Gb to play with. Having succesfully installed KL I went to the faq pages in order to update prior to installing the Nvidia drivers, which someone, somewhere on the internet said I should do in order to run all tools available within Kali. This is a reinstall, dpkg error processing tex-common configure binned my first attempt when it fell over. I am following the instructions at:

http://docs.kali.org/general-use/ins.-on-kali-linux

I have narrowed down the problem to tex-common after command:

sudo dpkg --configure -a

dpkg: error processing package (--configure):
dependancy problems - leaving unconfigured


Pic attached of the output - sorry haven't worked out how to get the log as text yet, but I suspect I will have to learn a pipe command
Any help would be appreciated

kali texlive prob.jpg

many many dpkg errors while upgrading

I am using Ubuntu 14.04, newly upgraded from 12.04. I was trying to upgrade my software, but it is showing many, many dpkg errors regarding .

When I type following command:

I get the following error:

and many more of such types.

How can I fix this? @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ The output of the command :: apt-get install tex-common is following ::

find: `/etc/texmf/texmf.d': No such file or directory Running mktexlsr. This may take some time., dpkg error processing tex-common configure. done. Running updmap-sys. This may take some time. updmap-sys failed. Output has been stored in /tmp/updmap.8Lse0Bt5 Please include this file if you report a bug.

Sometimes, not accepting conffile updates in /etc/texmf/updmap.d causes updmap-sys to fail, dpkg error processing tex-common configure. Please check for files with extension .dpkg-dist or .ucf-dist in this directory

dpkg: error processing package tex-common (--configure): subprocess installed post-installation script returned error exit status 1 dpkg: dependency problems prevent configuration of latex-sanskrit: latex-sanskrit depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package latex-sanskrit (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-latex-base: texlive-latex-base depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-latex-base (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-generic-recommended: texlive-generic-recommended depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-generic-recommended (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure.dpkg: dependency problems prevent configuration of texlive-pstricks: texlive-pstricks depends on texlive-generic-recommended (>= 2013.20130512); however: Package texlive-generic-recommended is not configured yet. texlive-pstricks depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-pstricks (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure. No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of asymptote: asymptote depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. asymptote depends on texlive-pstricks; however: Package texlive-pstricks is not configured yet. asymptote depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package asymptote (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-latex-recommended: texlive-latex-recommended depends on texlive-latex-base (>= dpkg error processing tex-common configure however: Package texlive-latex-base is not configured yet. texlive-latex-recommended depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-latex-recommended (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of cm-super-minimal: cm-super-minimal depends on tex-common (>= 3); however: Package tex-common is not configured yet. cm-super-minimal depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet.

dpkg: error processing package cm-super-minimal (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of cm-super: cm-super depends on tex-common (>= 3); however: Package tex-common is not configured yet. cm-super depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. cm-super depends on cm-super-minimal (= 0.3.4-9); however: Package cm-super-minimal is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package cm-super (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-metapost: texlive-metapost depends on tex-common (>= dpkg error processing tex-common configure however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-metapost (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of context: context depends on texlive-metapost (>= 2013); however: Package texlive-metapost is not configured yet. context depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package context (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of context-modules: context-modules depends on context (>> 2011); however: Package context is not configured yet. context-modules depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package context-modules (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-font-utils: texlive-font-utils depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-font-utils (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-extra-utils: texlive-extra-utils depends on tex-common (>= 3); however: Package tex-common is not configured yet, dpkg error processing tex-common configure. texlive-extra-utils depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is dpkg error processing tex-common configure configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-extra-utils (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of feynmf: feynmf depends on tex-common (>= 3); however: Package tex-common is not configured yet. feynmf depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. feynmf depends on texlive-font-utils; however: dpkg error processing tex-common configure Package texlive-font-utils is not configured yet. feynmf depends on texlive-extra-utils; however: Package texlive-extra-utils is not configured yet.

dpkg: error processing package feynmf (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-xcolor: latex-xcolor depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. latex-xcolor depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package latex-xcolor (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of latex-beamer: latex-beamer depends on tex-common (>= 4); however: Package tex-common is not configured yet. latex-beamer depends on latex-xcolor (>= 2.00-1); however: Package latex-xcolor is not configured yet. latex-beamer depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet.

dpkg: error processing package latex-beamer (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-common: latex-cjk-common depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. latex-cjk-common depends on texlive-font-utils (>= 2007.dfsg.2-1); however: Package texlive-font-utils is not configured yet, dpkg error processing tex-common configure. latex-cjk-common depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package latex-cjk-common (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of latex-cjk-chinese: latex-cjk-chinese depends on latex-cjk-common (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-chinese depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package latex-cjk-chinese (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-japanese: latex-cjk-japanese depends on latex-cjk-common (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-japanese depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package latex-cjk-japanese (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of latex-cjk-korean: latex-cjk-korean depends on latex-cjk-common (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-korean depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package latex-cjk-korean (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of texlive-lang-other: texlive-lang-other depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-lang-other (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-thai: latex-cjk-thai depends on latex-cjk-common (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-thai depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. latex-cjk-thai depends on tex-common (>= 4); however: Package tex-common is not configured yet. latex-cjk-thai depends on texlive-lang-other (>= 2013.20130523-1); however: Package texlive-lang-other is not configured yet.

dpkg: error processing package latex-cjk-thai (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-all: latex-cjk-all depends on latex-cjk-common (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-all depends dpkg error processing tex-common configure latex-cjk-chinese (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-chinese is not configured yet. latex-cjk-all depends on latex-cjk-japanese (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-japanese is not configured yet, dpkg error processing tex-common configure. latex-cjk-all depends on latex-cjk-korean (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-korean is not configured yet. latex-cjk-all depends on latex-cjk-thai (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-thai is not configured yet.

dpkg: error processing package latex-cjk-all (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of latexmk: latexmk depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package latexmk (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of m-tx: m-tx depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package m-tx (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of musixtex: musixtex depends on tex-common (>= 4); however: Package tex-common is dpkg error processing tex-common configure configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package musixtex (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of pmx: pmx depends on tex-common (>= 4); however: Package tex-common is not configured yet. pmx depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet.

dpkg: error processing package pmx (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of purifyeps: purifyeps depends on texlive-metapost; however: Package texlive-metapost is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package purifyeps (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-fonts-recommended: texlive-fonts-recommended depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-fonts-recommended (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg error processing tex-common configure dependency problems prevent configuration of texlive: texlive depends on texlive-latex-recommended (>= 2013.20130512); however: Package texlive-latex-recommended error killer 2.6.2 + serial not configured yet. texlive depends on texlive-fonts-recommended (>= 2013.20130512); however: Package texlive-fonts-recommended is not configured yet, dpkg error processing tex-common configure. texlive depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing package texlive (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-bibtex-extra: texlive-bibtex-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-bibtex-extra depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing package texlive-bibtex-extra (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-fonts-extra: texlive-fonts-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-fonts-extra (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-fonts-extra-doc: texlive-fonts-extra-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-fonts-extra-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-fonts-recommended-doc: texlive-fonts-recommended-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-fonts-recommended-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-formats-extra: texlive-formats-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-formats-extra depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing error code 1005 texlive-formats-extra (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-lang-polish: texlive-lang-polish depends on texlive-latex-base (>= 2013.20130512); however: dpkg error processing tex-common configure Package texlive-latex-base is not configured yet. texlive-lang-polish depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-lang-polish (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-generic-extra: texlive-generic-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-generic-extra (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-lang-indic: texlive-lang-indic depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-lang-indic (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-lang-spanish: texlive-lang-spanish depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-lang-spanish (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-omega: texlive-omega depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet. texlive-omega depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-omega (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-lang-cyrillic: texlive-lang-cyrillic depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-lang-cyrillic depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not dpkg error processing tex-common configure yet.

dpkg: error processing package texlive-lang-cyrillic (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-humanities-doc: texlive-humanities-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-humanities-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-lang-english: texlive-lang-english depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-lang-english (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of fragmaster: fragmaster depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. fragmaster depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. fragmaster depends on texlive-extra-utils; however: Package texlive-extra-utils is not configured yet. fragmaster depends on texlive-font-utils; however: Package texlive-font-utils is not configured yet.

dpkg: error processing package fragmaster (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of texlive-latex-extra-doc: texlive-latex-extra-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-latex-extra-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-publishers-doc: texlive-publishers-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-publishers-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of texlive-lang-european: texlive-lang-european depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-lang-european (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-pictures-doc: texlive-pictures-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-pictures-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-metapost-doc: texlive-metapost-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-metapost-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-science-doc: texlive-science-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

and the output of the command apt-cache policy tex-common is as follows :: tex-common: Installed: 4.04 Candidate: 4.04 Version table: * 4.04 0 500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages 100 /var/lib/dpkg/status @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

Linux common error resolution

=======================================================

In the use of apt-get When installing toolsNo matter what software you install, dpkg error processing tex-common configure, you will encounter such errors :

dpkg: warning: files list file for package `tex-common' missing, assuming package has no files currently installed. (Reading database . 150177 files and directories currently installed.) Preparing to replace tex-common 2.06ubuntu0.1 (using ./tex-common_2.06ubuntu0.1_all.deb) . Unpacking replacement tex-common . Processing triggers for doc-base ., dpkg error processing tex-common configure. Processing 2 changed doc-base file(s). Registering documents with scrollkeeper. Processing triggers for man-db . Setting up tex-common (2.06ubuntu0.1) . Running mktexlsr. This may take some time. done. No packages found matching texlive-base. dpkg: error processing tex-common (--configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: tex-common E: Sub-process /usr/bin/dpkg returned an error code (1)

resolvent :

sudo apt-get purge tex-common sudo apt-get install tex-common

It's really just the tex-common After removalreinstall .

=======================================================

ubuntu Unable to resolve host resolution


sudo  vi   /etc/hosts

2 Change the following line to : 

127.0.1.1   Current host name

As shown in the figure below :             


=======================================================

Yes 1 Packages are not fully installed or uninstalled . 

E: Unable to obtain lock /var/cache/apt/archives/lock - open (11: The resource is temporarily unavailable )

E: Unable to update directory /var/cache/a  .

Open the terminalInput : ps -auxDpkg error processing tex-common configure processesIf similar, there are the following processes

root      3382  0.0  0.1   8292  1684 pts/0    T    08:12   0:00 sudo apt-get install flashplugin-installer
Kill the process directly
sudo  kill  3382

If not, dpkg error processing tex-common configure, force the process to kill

sudo  kill -9  3382


dpkg error processing tex-common configure

Dpkg error processing tex-common configure - consider, that

pdf-viewer <none> pn xzdec <none> Versions of packages texlive-binaries depends on: ii dpkg 1.20.9 ii install-info 6.7.0.dfsg.2-6 ii libc6 2.31-13 ii libcairo2 1.16.0-5 ii libfontconfig1 2.13.1-4.2 ii libfreetype6 2.10.4+dfsg-1 ii libgcc-s1 10.2.1-6 ii libgraphite2-3 1.3.14-1 ii libharfbuzz0b 2.7.4-1 ii libicu67 67.1-7 ii libkpathsea6 2020.20200327.54578-7 ii libmpfr6 4.1.0-3 ii libpaper1 1.1.28+b1 ii libpixman-1-0 0.40.0-1 ii libpng16-16 1.6.37-3 ii libptexenc1 2020.20200327.54578-7 ii libstdc++6 10.2.1-6 ii libsynctex2 2020.20200327.54578-7 ii libteckit0 2.5.10+ds1-3 ii libtexlua53 2020.20200327.54578-7 ii libtexluajit2 2020.20200327.54578-7 ii libx11-6 2:1.7.2-1 ii libxaw7 2:1.0.13-1.1 ii libxi6 2:1.7.10-1 ii libxmu6 2:1.1.2-2+b3 ii libxpm4 1:3.5.12-1 ii libxt6 1:1.2.0-1 ii libzzip-0-13 0.13.62-3.3 ii perl 5.32.1-4+deb11u1 ii t1utils 1.41-4 ii zlib1g 1:1.2.11.dfsg-2 Versions of packages texlive-binaries recommends: ii dvisvgm 2.11.1-1 ii texlive-base 2020.20210202-3 -- debconf information: perl: warning: Setting locale failed. perl: warning: Please check that your locale settings: LANGUAGE = "", LC_ALL = (unset), LC_TIME = "en_ZA.UTF-8", LC_MONETARY = "en_US.UTF-8", LC_ADDRESS = "en_GB.UTF-8", LC_TELEPHONE = "en_GB.UTF-8", LC_NAME = "en_GB.UTF-8", LC_MEASUREMENT = "en_ZA.UTF-8", LC_IDENTIFICATION = "en_GB.UTF-8", LC_NUMERIC = "en_GB.UTF-8", LC_PAPER = "en_GB.UTF-8", LANG = "en_GB.UTF-8" are supported and installed on your system. perl: warning: Falling back to a fallback locale ("en_GB.UTF-8"). locale: Cannot set LC_ALL to default locale: No such file or directory texlive-base/binary_chooser: pdftex, dvips, dvipdfmx, xdvi fmtutil: fmtutil is using the following fmtutil.cnf files (in precedence order): fmtutil: /usr/share/texmf/web2c/fmtutil.cnf fmtutil: /usr/share/texlive/texmf-dist/web2c/fmtutil.cnf fmtutil: fmtutil is using the following fmtutil.cnf file for writing changes: fmtutil: /etc/texmf/web2c/fmtutil.cnf fmtutil [INFO]: writing formats under /var/lib/texmf/web2c fmtutil [INFO]: --- remaking luatex with luatex fmtutil: running `luatex -ini -jobname=luatex -progname=luatex luatex.ini' ... Unable to read environment locale: exit now. fmtutil [INFO]: --- remaking pdftex with pdftex fmtutil: running `pdftex -ini -jobname=pdftex -progname=pdftex -translate-file=cp227.tcx *pdfetex.ini' ... This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020/Debian) (INITEX) restricted \write18 enabled. (/usr/share/texlive/texmf-dist/web2c/cp227.tcx) entering extended mode (/usr/share/texlive/texmf-dist/tex/plain/config/pdfetex.ini (/var/lib/texmf/tex/generic/tex-ini-files/pdftexconfig.tex) (/usr/share/texlive/texmf-dist/tex/plain/etex/etex.src (/usr/share/texlive/texmf-dist/tex/plain/base/plain.tex Preloading the plain format: codes, registers, parameters, fonts, more fonts, macros, math definitions, output routines, hyphenation (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex [skipping from \patterns to end-of-file...])) (/usr/share/texlive/texmf-dist/tex/plain/etex/etexdefs.lib Skipping module "grouptypes"; Loading module "interactionmodes"; Skipping module "nodetypes"; Skipping module "iftypes";) (/var/lib/texmf/tex/generic/config/language.def (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex)) Augmenting the Plain TeX definitions: \tracingall; Adding new e-TeX definitions: \eTeX, \loggingall, \tracingnone, register allocation; extended register allocation; Recycling: \addlanguage, \@nswer (not defined), \@sk, \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected] (not defined), \[email protected] (not defined), \[email protected] (not defined), \[email protected], \[email protected], \[email protected], \[email protected], Retaining: \[email protected]err, \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected]@@d, \[email protected]@ad, \[email protected], \[email protected], \[email protected], \eTeX, \etexhdrchk, \etexstatus, \module, \uselanguage, \[email protected], \[email protected],) (/usr/share/texlive/texmf-dist/tex/plain/config/pdftexmagfix.tex) ) Beginning to dump on file pdftex.fmt (preloaded format=pdftex 2021.9.51799pt \font\preloaded=cmtt10 at 14.4pt \font\preloaded=cmssbx10 at 14.4pt \font\preloaded=manfnt 14787 words of font info for 50 preloaded fonts 14 hyphenation exceptions Hyphenation trie of length 6075 has 181 ops out of 35111 181 for language 0 0 words of pdfTeX memory 0 indirect objects No pages of output. Transcript written on pdftex.log. fmtutil [INFO]: log file copied to: /var/lib/texmf/web2c/pdftex/pdftex.log fmtutil [INFO]: /var/lib/texmf/web2c/pdftex/pdftex.fmt installed. fmtutil [INFO]: --- remaking luahbtex with luahbtex fmtutil: running `luahbtex -ini -jobname=luahbtex -progname=luahbtex luatex.ini' ... Unable to read environment locale: exit now. fmtutil [INFO]: --- remaking tex with tex fmtutil: running `tex -ini -jobname=tex -progname=tex tex.ini' ... This is TeX, Version 3.14159265 (TeX Live 2020/Debian) (INITEX) (/usr/share/texlive/texmf-dist/tex/plain/config/tex.ini (/usr/share/texlive/texmf-dist/tex/plain/base/plain.tex Preloading the plain format: codes, registers, parameters, fonts, more fonts, macros, math definitions, output routines, hyphenation (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex)) ) Beginning to dump on file tex.fmt (preloaded format=tex 2021.9.51799pt \font\preloaded=cmtt10 at 14.4pt \font\preloaded=cmssbx10 at 14.4pt \font\preloaded=manfnt 14787 words of font info for 50 preloaded fonts 14 hyphenation exceptions Hyphenation trie of length 6075 has 181 ops out of 35111 181 for language 0 No pages of output. Transcript written on tex.log. fmtutil [INFO]: log file copied to: /var/lib/texmf/web2c/tex/tex.log fmtutil [INFO]: /var/lib/texmf/web2c/tex/tex.fmt installed. fmtutil [INFO]: --- remaking mf with mf-nowin fmtutil: running `mf-nowin -ini -jobname=mf -progname=mf -translate-file=cp227.tcx mf.ini' ... This is METAFONT, Version 2.7182818 (TeX Live 2020/Debian) (INIMF) (/usr/share/texlive/texmf-dist/web2c/cp227.tcx) (/usr/share/texlive/texmf-dist/metafont/config/mf.ini (/usr/share/texlive/texmf-dist/metafont/base/plain.mf Preloading the plain base, version 2.71: preliminaries, basic constants and mathematical macros, macros for converting from device-independent units to pixels, macros and tables for various modes of operation, macros for drawing and filling, macros for proof labels and rules, macros for character and font administration, and a few last-minute items.) (/usr/share/texlive/texmf-dist/fonts/source/public/modes/modes.mf) ) Beginning to dump on file mf.base (preloaded base=mf 2021.9.14) 2237 strings of total length 30210 11955 memory locations dumped; current usage is 3679&7916 1011 symbolic tokens Transcript written on mf.log. fmtutil [INFO]: log file copied to: /var/lib/texmf/web2c/metafont/mf.log fmtutil [INFO]: /var/lib/texmf/web2c/metafont/mf.base installed. fmtutil [INFO]: --- remaking pdfetex with pdftex fmtutil: running `pdftex -ini -jobname=pdfetex -progname=pdfetex -translate-file=cp227.tcx *pdfetex.ini' ... This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020/Debian) (INITEX) restricted \write18 enabled. (/usr/share/texlive/texmf-dist/web2c/cp227.tcx) entering extended mode (/usr/share/texlive/texmf-dist/tex/plain/config/pdfetex.ini (/var/lib/texmf/tex/generic/tex-ini-files/pdftexconfig.tex) (/usr/share/texlive/texmf-dist/tex/plain/etex/etex.src (/usr/share/texlive/texmf-dist/tex/plain/base/plain.tex Preloading the plain format: codes, registers, parameters, fonts, more fonts, macros, math definitions, output routines, hyphenation (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex [skipping from \patterns to end-of-file...])) (/usr/share/texlive/texmf-dist/tex/plain/etex/etexdefs.lib Skipping module "grouptypes"; Loading module "interactionmodes"; Skipping module "nodetypes"; Skipping module "iftypes";) (/var/lib/texmf/tex/generic/config/language.def (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex)) Augmenting the Plain TeX definitions: \tracingall; Adding new e-TeX definitions: \eTeX, \loggingall, \tracingnone, register allocation; extended register allocation; Recycling: \addlanguage, \@nswer (not defined), \@sk, \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected] (not defined), \[email protected] (not defined), \[email protected] (not defined), \[email protected], \[email protected], \[email protected], \[email protected], Retaining: \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected]@@d, \[email protected]@ad, \[email protected], \[email protected], \[email protected], \eTeX, \etexhdrchk, \etexstatus, \module, \uselanguage, \[email protected], \[email protected],) (/usr/share/texlive/texmf-dist/tex/plain/config/pdftexmagfix.tex) ) Beginning to dump on file pdfetex.fmt (preloaded format=pdfetex 2021.9.51799pt \font\preloaded=cmtt10 at 14.4pt \font\preloaded=cmssbx10 at 14.4pt \font\preloaded=manfnt 14787 words of font info for 50 preloaded fonts 14 hyphenation exceptions Hyphenation trie of length 6075 has 181 ops out of 35111 181 for language 0 0 words of pdfTeX memory 0 indirect objects No pages of output. Transcript written on pdfetex.log. fmtutil [INFO]: log file copied to: /var/lib/texmf/web2c/pdftex/pdfetex.log fmtutil [INFO]: /var/lib/texmf/web2c/pdftex/pdfetex.fmt installed. fmtutil [INFO]: --- remaking dviluatex with luatex fmtutil: running `luatex -ini -jobname=dviluatex -progname=dviluatex dviluatex.ini' ... Unable to read environment locale: exit now. fmtutil [INFO]: --- remaking etex with pdftex fmtutil: running `pdftex -ini -jobname=etex -progname=etex -translate-file=cp227.tcx *etex.ini' ... This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020/Debian) (INITEX) restricted \write18 enabled. (/usr/share/texlive/texmf-dist/web2c/cp227.tcx) entering extended mode (/usr/share/texlive/texmf-dist/tex/plain/config/etex.ini (/usr/share/texlive/texmf-dist/tex/plain/etex/etex.src (/usr/share/texlive/texmf-dist/tex/plain/base/plain.tex Preloading the plain format: codes, registers, parameters, fonts, more fonts, macros, math definitions, output routines, hyphenation (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex [skipping from \patterns to end-of-file...])) (/usr/share/texlive/texmf-dist/tex/plain/etex/etexdefs.lib Skipping module "grouptypes"; Loading module "interactionmodes"; Skipping module "nodetypes"; Skipping module "iftypes";) (/var/lib/texmf/tex/generic/config/language.def (/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex)) Augmenting the Plain TeX definitions: \tracingall; Adding new e-TeX definitions: \eTeX, \loggingall, \tracingnone, register allocation; extended register allocation; Recycling: \addlanguage, \@nswer (not defined), \@sk, \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected] (not defined), \[email protected] (not defined), \[email protected] (not defined), \[email protected], \[email protected], \[email protected], \[email protected], Retaining: \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected], \[email protected]@@d, \[email protected]@ad, \[email protected], \[email protected], \[email protected], \eTeX, \etexhdrchk, \etexstatus, \module, \uselanguage, \[email protected], \[email protected],) ) Beginning to dump on file etex.fmt (preloaded format=etex 2021.9.51799pt \font\preloaded=cmtt10 at 14.4pt \font\preloaded=cmssbx10 at 14.4pt \font\preloaded=manfnt 14787 words of font info for 50 preloaded fonts 14 hyphenation exceptions Hyphenation trie of length 6075 has 181 ops out of 35111 181 for language 0 0 words of pdfTeX memory 0 indirect objects No pages of output. Transcript written on etex.log. fmtutil [INFO]: log file copied to: /var/lib/texmf/web2c/pdftex/etex.log fmtutil [INFO]: /var/lib/texmf/web2c/pdftex/etex.fmt installed. fmtutil [ERROR]: running `luatex -ini -jobname=luatex -progname=luatex luatex.ini </dev/null' return status: 1 fmtutil [ERROR]: cannot copy log luatex.log to: /var/lib/texmf/web2c/luatex fmtutil [ERROR]: returning error due to option --strict fmtutil [ERROR]: running `luahbtex -ini -jobname=luahbtex -progname=luahbtex luatex.ini </dev/null' return status: 1 fmtutil [ERROR]: cannot copy log luahbtex.log to: /var/lib/texmf/web2c/luahbtex fmtutil [ERROR]: returning error due to option --strict fmtutil [ERROR]: running `luatex -ini -jobname=dviluatex -progname=dviluatex dviluatex.ini </dev/null' return status: 1 fmtutil [ERROR]: cannot copy log dviluatex.log to: /var/lib/texmf/web2c/luatex fmtutil [ERROR]: returning error due to option --strict fmtutil [INFO]: successfully rebuilt formats: 5 fmtutil [INFO]: failed to build: 3 (luatex/luatex luahbtex/luahbtex luatex/dviluatex) fmtutil [INFO]: total formats: 8 fmtutil [INFO]: exiting with status 3

Bug#886452: Subject: tex-common: installed tex-common package post-installation script subprocess returned error exit status 1

Manfred Ilg's profile photo

Manfred Ilg

unread,
Jan 6, 2018, 12:00:02 PM1/6/18

Reply to author

Sign in to reply to author

Forward

Sign in to forward

Delete

You do not have permission to delete messages in this group

Link

Report message as abuse

Sign in to report message as abuse

Show original message

Either email addresses are anonymous for this group or you need the view member email addresses permission to view the original message

to

Package: tex-common
Version: 6.09
Severity: important


Dear Maintainer,

when I try to uprade tex-commen I get the following error:

tex-common (6.09) wird eingerichtet ...
Running mktexlsr. This may take some time... done.
Running mtxrun --generate. This may take some time... done.
Running updmap-sys. This may take some time...
updmap-sys failed. Output has been stored in
/tmp/updmap.nZEeXO4z
Please include this file if you report a bug.

Sometimes, not accepting conffile updates in /etc/texmf/updmap.d
causes updmap-sys to fail.  Please check for files with extension
.dpkg-dist or .ucf-dist in this directory

dpkg: Fehler beim Bearbeiten des Paketes tex-common (--configure):

Fehler traten auf beim Bearbeiten von:
 tex-common
E: Sub-process /usr/bin/dpkg returned an error code (1)

cat /tmp/updmap.nZEeXO4z
updmap will read the following updmap.cfg files (in precedence order):
  /etc/texmf/web2c/updmap.cfg
  /usr/share/texmf/web2c/updmap.cfg
  /usr/share/texlive/texmf-dist/web2c/updmap.cfg
updmap may write changes to the following updmap.cfg file:
 /etc/texmf/web2c/updmap.cfg
dvips output dir: "/var/lib/texmf/fonts/map/dvips/updmap"
pdftex output dir: "/var/lib/texmf/fonts/map/pdftex/updmap"
dvipdfmx output dir: "/var/lib/texmf/fonts/map/dvipdfmx/updmap"
updmap [ERROR]: The following map file(s) couldn't be found:
updmap [ERROR]:         emerald.map (in /etc/texmf/web2c/updmap.cfg)
updmap [ERROR]: Did you run mktexlsr?

        You can disable non-existent map entries using the option
          --syncwithtrees.

      Greeting

      Manfred Ilg


-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.14.11-towo.3-siduction-amd64 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8),
LANGUAGE=de:en_US (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages tex-common depends on:
ii  dpkg  1.19.0.4
ii  ucf   3.0036

tex-common recommends no packages.

Versions of packages tex-common suggests:
ii  debhelper  11

Versions of packages texlive-base depends on:
ii  debconf [debconf-2.0]  1.5.65
ii  libpaper-utils         1.1.24+nmu5
ii  texlive-binaries       2017.20170613.44572-8
ii  ucf                    3.0036
ii  xdg-utils              1.1.2-2~siduction1

Versions of packages texlive-base recommends:
ii  lmodern  2.004.5-3

Versions of packages texlive-base suggests:
ii  ghostscript [postscript-viewer]  9.22~dfsg-1
ii  okular [postscript-viewer]       4:17.08.3-2
pn  perl-tk                          <none>
pn  xpdf-reader

many many dpkg errors while upgrading

I am using Ubuntu 14.04, newly upgraded from 12.04. I was trying to upgrade my software, but it is showing many, many dpkg errors regarding .

When I type following command:

I get the following error:

and many more of such types.

How can I fix this? @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ The output of the command :: apt-get install tex-common is following ::

find: `/etc/texmf/texmf.d': No such file or directory Running mktexlsr. This may take some time... done. Running updmap-sys. This may take some time... updmap-sys failed. Output has been stored in /tmp/updmap.8Lse0Bt5 Please include this file if you report a bug.

Sometimes, not accepting conffile updates in /etc/texmf/updmap.d causes updmap-sys to fail. Please check for files with extension .dpkg-dist or .ucf-dist in this directory

dpkg: error processing package tex-common (--configure): subprocess installed post-installation script returned error exit status 1 dpkg: dependency problems prevent configuration of latex-sanskrit: latex-sanskrit depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package latex-sanskrit (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-latex-base: texlive-latex-base depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-latex-base (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-generic-recommended: texlive-generic-recommended depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-generic-recommended (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure.dpkg: dependency problems prevent configuration of texlive-pstricks: texlive-pstricks depends on texlive-generic-recommended (>= 2013.20130512); however: Package texlive-generic-recommended is not configured yet. texlive-pstricks depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-pstricks (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure. No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of asymptote: asymptote depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. asymptote depends on texlive-pstricks; however: Package texlive-pstricks is not configured yet. asymptote depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package asymptote (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-latex-recommended: texlive-latex-recommended depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet. texlive-latex-recommended depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-latex-recommended (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of cm-super-minimal: cm-super-minimal depends on tex-common (>= 3); however: Package tex-common is not configured yet. cm-super-minimal depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet.

dpkg: error processing package cm-super-minimal (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of cm-super: cm-super depends on tex-common (>= 3); however: Package tex-common is not configured yet. cm-super depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. cm-super depends on cm-super-minimal (= 0.3.4-9); however: Package cm-super-minimal is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package cm-super (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-metapost: texlive-metapost depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-metapost (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of context: context depends on texlive-metapost (>= 2013); however: Package texlive-metapost is not configured yet. context depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package context (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of context-modules: context-modules depends on context (>> 2011); however: Package context is not configured yet. context-modules depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package context-modules (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-font-utils: texlive-font-utils depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-font-utils (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-extra-utils: texlive-extra-utils depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-extra-utils depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-extra-utils (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of feynmf: feynmf depends on tex-common (>= 3); however: Package tex-common is not configured yet. feynmf depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. feynmf depends on texlive-font-utils; however: Package texlive-font-utils is not configured yet. feynmf depends on texlive-extra-utils; however: Package texlive-extra-utils is not configured yet.

dpkg: error processing package feynmf (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-xcolor: latex-xcolor depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. latex-xcolor depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package latex-xcolor (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of latex-beamer: latex-beamer depends on tex-common (>= 4); however: Package tex-common is not configured yet. latex-beamer depends on latex-xcolor (>= 2.00-1); however: Package latex-xcolor is not configured yet. latex-beamer depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet.

dpkg: error processing package latex-beamer (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-common: latex-cjk-common depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. latex-cjk-common depends on texlive-font-utils (>= 2007.dfsg.2-1); however: Package texlive-font-utils is not configured yet. latex-cjk-common depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package latex-cjk-common (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of latex-cjk-chinese: latex-cjk-chinese depends on latex-cjk-common (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-chinese depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package latex-cjk-chinese (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-japanese: latex-cjk-japanese depends on latex-cjk-common (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-japanese depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package latex-cjk-japanese (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of latex-cjk-korean: latex-cjk-korean depends on latex-cjk-common (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-korean depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package latex-cjk-korean (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of texlive-lang-other: texlive-lang-other depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-lang-other (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-thai: latex-cjk-thai depends on latex-cjk-common (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-thai depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. latex-cjk-thai depends on tex-common (>= 4); however: Package tex-common is not configured yet. latex-cjk-thai depends on texlive-lang-other (>= 2013.20130523-1); however: Package texlive-lang-other is not configured yet.

dpkg: error processing package latex-cjk-thai (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of latex-cjk-all: latex-cjk-all depends on latex-cjk-common (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-common is not configured yet. latex-cjk-all depends on latex-cjk-chinese (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-chinese is not configured yet. latex-cjk-all depends on latex-cjk-japanese (>= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-japanese is not configured yet. latex-cjk-all depends on latex-cjk-korean (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-korean is not configured yet. latex-cjk-all depends on latex-cjk-thai (= 4.8.3+git20120914-2ubuntu1); however: Package latex-cjk-thai is not configured yet.

dpkg: error processing package latex-cjk-all (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of latexmk: latexmk depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package latexmk (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of m-tx: m-tx depends on tex-common (>= 4); however: Package tex-common is not configured yet.

dpkg: error processing package m-tx (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of musixtex: musixtex depends on tex-common (>= 4); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package musixtex (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of pmx: pmx depends on tex-common (>= 4); however: Package tex-common is not configured yet. pmx depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet.

dpkg: error processing package pmx (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of purifyeps: purifyeps depends on texlive-metapost; however: Package texlive-metapost is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package purifyeps (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-fonts-recommended: texlive-fonts-recommended depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-fonts-recommended (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive: texlive depends on texlive-latex-recommended (>= 2013.20130512); however: Package texlive-latex-recommended is not configured yet. texlive depends on texlive-fonts-recommended (>= 2013.20130512); however: Package texlive-fonts-recommended is not configured yet. texlive depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing package texlive (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-bibtex-extra: texlive-bibtex-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-bibtex-extra depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing package texlive-bibtex-extra (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-fonts-extra: texlive-fonts-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-fonts-extra (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-fonts-extra-doc: texlive-fonts-extra-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-fonts-extra-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-fonts-recommended-doc: texlive-fonts-recommended-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-fonts-recommended-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-formats-extra: texlive-formats-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-formats-extra depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing package texlive-formats-extra (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-lang-polish: texlive-lang-polish depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet. texlive-lang-polish depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-lang-polish (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-generic-extra: texlive-generic-extra depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-generic-extra (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-lang-indic: texlive-lang-indic depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-lang-indic (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-lang-spanish: texlive-lang-spanish depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-lang-spanish (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-omega: texlive-omega depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet. texlive-omega depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-omega (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of texlive-lang-cyrillic: texlive-lang-cyrillic depends on tex-common (>= 3); however: Package tex-common is not configured yet. texlive-lang-cyrillic depends on texlive-latex-base (>= 2013.20130512); however: Package texlive-latex-base is not configured yet.

dpkg: error processing package texlive-lang-cyrillic (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-humanities-doc: texlive-humanities-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-humanities-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-lang-english: texlive-lang-english depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-lang-english (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already dpkg: dependency problems prevent configuration of fragmaster: fragmaster depends on texlive-latex-base; however: Package texlive-latex-base is not configured yet. fragmaster depends on texlive-latex-recommended; however: Package texlive-latex-recommended is not configured yet. fragmaster depends on texlive-extra-utils; however: Package texlive-extra-utils is not configured yet. fragmaster depends on texlive-font-utils; however: Package texlive-font-utils is not configured yet.

dpkg: error processing package fragmaster (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of texlive-latex-extra-doc: texlive-latex-extra-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-latex-extra-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-publishers-doc: texlive-publishers-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-publishers-doc (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached alreadydpkg: dependency problems prevent configuration of texlive-lang-european: texlive-lang-european depends on tex-common (>= 3); however: Package tex-common is not configured yet.

dpkg: error processing package texlive-lang-european (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-pictures-doc: texlive-pictures-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-pictures-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-metapost-doc: texlive-metapost-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

No apport report written because MaxReports is reached already dpkg: error processing package texlive-metapost-doc (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of texlive-science-doc: texlive-science-doc depends on tex-common (>= 3); however: Package tex-common is not configured yet.

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

and the output of the command apt-cache policy tex-common is as follows :: tex-common: Installed: 4.04 Candidate: 4.04 Version table: * 4.04 0 500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages 100 /var/lib/dpkg/status @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

pdf-viewer         <none>

Versions of packages texlive-binaries depends on:
ii  dpkg              1.19.0.4
ii  install-info      6.5.0.dfsg.1-1
ii  libc6             2.26-2
ii  libcairo2         1.15.8-3
ii  libfontconfig1    2.12.6-0.1
ii  libfreetype6      2.8.1-1
ii  libgcc1           1:7.2.0-18
ii  libgmp10          2:6.1.2+dfsg-1.1
ii  libgraphite2-3    1.3.10-8
ii  libgs9            9.22~dfsg-1
ii  libharfbuzz-icu0  1.7.2-1
ii  libharfbuzz0b     1.7.2-1
ii  libice6           2:1.0.9-2
ii  libicu57          57.1-8
ii  libkpathsea6      2017.20170613.44572-8
ii  libmpfr4          3.1.6-1
ii  libpaper1         1.1.24+nmu5
ii  libpixman-1-0     0.34.0-2
ii  libpng16-16       1.6.34-1
ii  libpoppler72      0.61.1-2
ii  libpotrace0       1.14-2
ii  libptexenc1       2017.20170613.44572-8
ii  libsm6            2:1.2.2-1+b3
ii  libstdc++6        7.2.0-18
ii  libsynctex1       2017.20170613.44572-8
ii  libtexlua52       2017.20170613.44572-8
ii  libtexluajit2     2017.20170613.44572-8
ii  libx11-6          2:1.6.4-3
ii  libxaw7           2:1.0.13-1+b2
ii  libxext6          2:1.3.3-1+b2
ii  libxi6            2:1.7.9-1
ii  libxmu6           2:1.1.2-2
ii  libxpm4           1:3.5.12-1
ii  libxt6            1:1.1.5-1
ii  libzzip-0-13      0.13.62-3.1
ii  perl              5.26.1-3
ii  t1utils           1.41-2
ii  zlib1g            1:1.2.8.dfsg-5

Versions of packages texlive-binaries recommends:
ii  texlive-base  2017.20180103-1

-- debconf information:
  texlive-base/binary_chooser: pdftex, dvips, dvipdfmx, xdvi
  texlive-base/texconfig_ignorant:

Hilmar Preuße's profile photo

Hilmar Preuße

unread,
Jan 6, 2018, 11:30:03 PM1/6/18

Reply to author

Sign in to reply to author

Forward

Sign in to forward

Delete

You do not have permission to delete messages in this group

Link

Report message as abuse

Sign in to report message as abuse

Show original message

Either email addresses are anonymous for this group or you need the view member email addresses permission to view the original message

to

On 06.01.2018 08:48, Manfred Ilg wrote:

Hi Manfred,


> updmap [ERROR]: The following map file(s) couldn't be found:
> updmap [ERROR]:         emerald.map (in /etc/texmf/web2c/updmap.cfg)
> updmap [ERROR]: Did you run mktexlsr?
>
>         You can disable non-existent map entries using the option
>           --syncwithtrees.

> That file is not part of Debian (AFAICT). Please make sure it is at its
place, if not remove the line from /etc/texmf/web2c/updmap.cfg and try
to start over (apt-get -f install).

Hilmar
--
#206401 http://counter.li.org

Norbert Preining's profile photo

Norbert Preining

unread,
Jan 7, 2018, 3:30:03 AM1/7/18

Reply to author

Sign in to reply to author

Forward

Sign in to forward

Delete

You do not have permission to delete messages in this group

Link

Report message as abuse

Sign in to report message as abuse

Show original message

Either email addresses are anonymous for this group or you need the view member email addresses permission to view the original message

to

HI Manfred


> updmap will read the following updmap.cfg files (in precedence order):
>   /etc/texmf/web2c/updmap.cfg

Where does this file come from, and what does it contain?


> updmap [ERROR]: The following map file(s) couldn't be found:
> updmap [ERROR]:         emerald.map (in /etc/texmf/web2c/updmap.cfg)

I cannot find emerald.map in TeX Live, did you install something
locally?

The solution is taking a close look at /etc/texmf/web2c/updmap.cfg and
probably remove it.

I intent to close this bugs unless different/new information come up.

Norbert

--
PREINING Norbert http://www.preining.info
Accelia Inc. + JAIST + TeX Live + Debian Developer
GPG: 0x860CDC13 fp: F7D8 A928 26E3 16A1 9FA0 ACF0 6CAC A448 860C DC13

Bug#994264: tex-common fails configuration (fmtutil failed) after texlive installation

Package: tex-common Version: 6.16 Severity: normal Dear Maintainer, After installing texlive, apt shows the following: perl: warning: Setting locale failed. perl: warning: Please check that your locale settings: LANGUAGE = "", LC_ALL = (unset), LC_TIME = "en_ZA.UTF-8", LC_MONETARY = "en_US.UTF-8", LC_ADDRESS = "en_GB.UTF-8", LC_TELEPHONE = "en_GB.UTF-8", LC_NAME = "en_GB.UTF-8", LC_MEASUREMENT = "en_ZA.UTF-8", LC_IDENTIFICATION = "en_GB.UTF-8", LC_NUMERIC = "en_GB.UTF-8", LC_PAPER = "en_GB.UTF-8", LANG = "en_GB.UTF-8" are supported and installed on your system. perl: warning: Falling back to a fallback locale ("en_GB.UTF-8"). locale: Cannot set LC_ALL to default locale: No such file or directory Setting up tex-common (6.16) ... locale: Cannot set LC_ALL to default locale: No such file or directory Running mktexlsr. This may take some time... done. Running updmap-sys. This may take some time... done. Running mktexlsr /var/lib/texmf ... done. Building format(s) --all. This may take some time... fmtutil failed. Output has been stored in /tmp/fmtutil.DCKXFCvl Please include this file if you report a bug. dpkg: error processing package tex-common (--configure): installed tex-common package post-installation script subprocess returned error exit status 1 Errors were encountered while processing: tex-common E: Sub-process /usr/bin/dpkg returned an error code (1) The output file /tmp/fmtutil.DCKXFCvl is long; I've attached the full file, but the lines which are showing errors are as follows: fmtutil [INFO]: log file copied to: /var/lib/texmf/web2c/metafont/mf.log fmtutil [INFO]: /var/lib/texmf/web2c/metafont/mf.base installed. fmtutil [ERROR]: running `luahbtex -ini -jobname=luahbtex -progname=luahbtex luatex.ini </dev/null' return status: 1 fmtutil [ERROR]: cannot copy log luahbtex.log to: /var/lib/texmf/web2c/luahbtex fmtutil [ERROR]: returning error due to option --strict fmtutil [ERROR]: running `luatex -ini -jobname=luatex -progname=luatex luatex.ini </dev/null' return status: 1 fmtutil [ERROR]: cannot copy log luatex.log to: /var/lib/texmf/web2c/luatex fmtutil [ERROR]: returning error due to option --strict fmtutil [ERROR]: running `luatex -ini -jobname=dviluatex -progname=dviluatex dviluatex.ini </dev/null' return status: 1 fmtutil [ERROR]: cannot copy log dviluatex.log to: /var/lib/texmf/web2c/luatex fmtutil [ERROR]: returning error due to option --strict fmtutil [INFO]: successfully rebuilt formats: 5 fmtutil [INFO]: failed to build: 3 (luahbtex/luahbtex luatex/luatex luatex/dviluatex) fmtutil [INFO]: total formats: 8 fmtutil [INFO]: exiting with status 3 The error remains after trying dpkg --configure -a or apt --fix-broken install. I've tried purging everything tex- or texlive-related and reinstalling several times, including installs of the texlive package (and dependencies), the texlive-base package, or the kile package (which brings in a whole bunch of texlive-related packages). Each try gets the same error, with possibly different contents of the /tmp/fmtutil.XXXXXXXX file. For example, installs from texlive-base had fmtutil [INFO]: exiting with status 3 while installs from texlive had fmtutil [INFO]: exiting with status 5. I'm not sure if this difference is relevant. I've seen many other bug reports involving configuration problems for tex- common due to fmtutil failure. I don't really know enough to say how/whether they are related to my issue; apologies if I missed something obvious. -- System Information: Debian Release: 11.0 APT prefers stable-security APT policy: (500, 'stable-security'), (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 5.10.0-8-amd64 (SMP w/4 CPU threads) Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=locale: Cannot set LC_ALL to default locale: No such file or directory UTF-8), LANGUAGE not set Shell: /bin/sh linked to /usr/bin/dash Init: systemd (via /run/systemd/system) LSM: AppArmor: enabled Versions of packages tex-common depends on: ii dpkg 1.20.9 ii ucf 3.0043 tex-common recommends no packages. Versions of packages tex-common suggests: pn debhelper <none> Versions of packages texlive-base depends on: ii debconf [debconf-2.0] 1.5.77 ii libpaper-utils 1.1.28+b1 ii sensible-utils 0.0.14 ii texlive-binaries 2020.20200327.54578-7 ii ucf 3.0043 ii xdg-utils 1.1.3-4.1 Versions of packages texlive-base recommends: ii lmodern 2.004.5-6.1 Versions of packages texlive-base suggests: ii ghostscript [postscript-viewer] 9.53.3~dfsg-7+deb11u1 ii okular [postscript-viewer] 4:20.12.3-2 ii perl-tk 1:804.035-0.1+b1 pn xpdf

0 Comments

Leave a Comment